plist-cil : Claunia.PropertyList Namespace

# UID Class

An UID. Only found in binary property lists that are keyed archives.

## Syntax

public class UID : NSObject

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| UID (string, byte[]) | Initializes a new instance of the Claunia.PropertyList.UID class.

## Public Properties

[read-only] | Bytes | byte[]. Gets the bytes.
[read-only] | Name | string . Gets the name.

## Public Methods

override | Equals (NSObject) : bool Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.UID.
abstract | Equals (NSObject) : bool Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)
| ToObject () : object Converts this NSObject into an equivalent object of the .NET Runtime Environment. Claunia.PropertyList.NSArray objects are converted to arrays. Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class. Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class. Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool). Claunia.PropertyList.NSString objects are converted to string objects. Claunia.PropertyList.NSData objects are converted to byte arrays. Claunia.PropertyList.NSDate objects are converted to DateTime objects. Claunia.PropertyList.UID objects are converted to byte arrays. (Inherited from NSObject.)
| ToXmlPropertyList () : string Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)

## Member Details

### UID Constructor

> Initializes a new instance of the Claunia.PropertyList.UID class.

> ## Syntax

> public UID (string name, byte[] bytes)

> #### Parameters

> > name
> >   Name.
> > bytes
> >   Bytes.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Bytes Property

> Gets the bytes.

> ## Syntax

> public byte[] Bytes { get; }

> #### Value

> > The bytes.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.UID.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.UID.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.UID; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Name Property

> Gets the name.

> ## Syntax

> public string Name { get; }

> #### Value

> > The name.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0